> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all services_packages



## OpenAPI

````yaml /openapi.json get /config/services_package
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /config/services_package:
    get:
      tags:
        - config - services_package
      summary: Get all services_packages
      operationId: get_services_package_config_services_package_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisibleItemsList_NBServicesPackage_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    VisibleItemsList_NBServicesPackage_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NBServicesPackage'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
        visible_count:
          type: integer
          title: Visible Count
          default: 0
      type: object
      required:
        - items
      title: VisibleItemsList[NBServicesPackage]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NBServicesPackage:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        is_firewall_service:
          type: boolean
          title: Is Firewall Service
          default: true
        is_nat_service:
          type: boolean
          title: Is Nat Service
          default: true
        is_ids_service:
          type: boolean
          title: Is Ids Service
          default: true
        is_dns_service:
          type: boolean
          title: Is Dns Service
          default: true
        is_dia_fw_service:
          type: boolean
          title: Is Dia Fw Service
          default: true
        is_ddos_service:
          type: boolean
          title: Is Ddos Service
          default: false
        is_segments_service:
          type: boolean
          title: Is Segments Service
          default: true
        is_remote_users_service:
          type: boolean
          title: Is Remote Users Service
          default: true
        is_fqdn_service:
          type: boolean
          title: Is Fqdn Service
          default: true
        is_load_balancing_service:
          type: boolean
          title: Is Load Balancing Service
          default: false
        is_secure_web_gw_service:
          type: boolean
          title: Is Secure Web Gw Service
          default: false
        is_sdr_service:
          type: boolean
          title: Is Sdr Service
          default: false
        is_mesh_enabled:
          type: boolean
          title: Is Mesh Enabled
          default: false
        is_visible:
          type: boolean
          title: Is Visible
          default: false
        labels:
          $ref: '#/components/schemas/ServicesPackageLabels'
      type: object
      required:
        - id
        - name
        - labels
      title: NBServicesPackage
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ServicesPackageLabels:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        presentation_name:
          type: string
          title: Presentation Name
        order:
          anyOf:
            - type: string
            - type: 'null'
          title: Order
      type: object
      required:
        - presentation_name
      title: ServicesPackageLabels
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````